#
# beegemma.py, 23 Feb 24

from ollama import chat
import sys


prefix='List the named entities in the following string '

# input_str='Created this twitter acct to log user-visible improvements (UVIs) to Beeminder. (Yes, this is a UVI. Everything counts no matter how small!)  Very first UVI! Back then this counted but nowadays we don\'t count things that are too ancillary like making Twitter accounts or writing blog posts. We did count a few UVIs for creating this fancy changelog but decided that\'s too ancillary now too.'

input_str=sys.argv[1] # change log entry from command line

messages = [
  {
    'role': 'user',
    'content': prefix+input_str
  },
]

# Print the response
for part in chat('gemma', messages=messages, stream=True, options={'temperature': 0}):
  print(part['message']['content'], end='', flush=True)

# end with a newline
print()

# curl http://localhost:11434/api/generate -d '{
#   "model": "gemma",
#   "prompt": "[INST] Why is the sky blue? [/INST]",
#   "raw": true,
#   "stream": false
#   "options": {
#     "seed": 101,
#     "temperature": 0
#   }
# }'


